<?php

/*
	====================================================

	Скрипт отображения логов CSFile.Info Anti-Cheat на сайте
	Версия: 1.07b
	
   Версия 1.07 включает в себя отображение OpenGL32 логов и переделанный дизайн.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

	====================================================
*/

$version = '1.07b';

/* Подгрузка модулей */

	include('csf_ac_logs/config_main.php');
	include('csf_ac_logs/config.php');




/* Подключение */

	// Модуль защиты страницы паролем

	include('csf_ac_logs/protect.php');

	
	// Подключение к БД

	if (MYSQL_PERSISTENT)
	  $link = @mysql_pconnect(MYSQL_ADDR, MYSQL_USER, MYSQL_PASS)
	    or die("Не возможно подключиться к mySQL серверу");
	else
	  $link = @mysql_connect(MYSQL_ADDR, MYSQL_USER, MYSQL_PASS)
	    or die("Не возможно подключиться к mySQL серверу");

	@mysql_select_db(MYSQL_DB,$link) or die("Неверное имя базы данных!");


/* Функции */

function page()
{
    if(empty($_GET["page"]) || $_GET["page"] < 0){
        $page = 0;
	
    } else {
if(!is_numeric($_GET["page"])) die("Неправильный формат номера страницы!");
        $page = strip_tags(htmlspecialchars($_GET["page"]));
    }
	return $page;
}

function sql_query($onpage, $page, $table, $newup)
{
    $begin = $page*$onpage;

	if($newup == 0){
		$sql = "SELECT * FROM ".$table." LIMIT ".$begin.", ".$onpage."";
	}else{
		$sql = "SELECT * FROM ".$table." Order by Date Desc LIMIT ".$begin.", ".$onpage."";
	}
		$result = mysql_query($sql) or die(mysql_error());
		return $result;
}

function navigation($onpage, $page, $table)
{
	$return = null;
    	$count = mysql_query("SELECT COUNT(*) FROM ".$table."") or die(mysql_error());
	$count = mysql_fetch_array($count);
	$count = $count[0];
	$pages = $count/$onpage;

	$nowpage = $page-4;
	if ($nowpage < 0) $nowpage = 0;
	$endpage = $page+5;
	if ($endpage > $pages) $endpage=$page+($pages-$page);

	if($page!==0){
	    $prev = "<A HREF=\"".$_SERVER["SCRIPT_NAME"]."?module=".strip_tags(htmlspecialchars($_GET["module"]))."&page=".(0)."\"><b> « </b></A><A HREF=\"".$_SERVER["SCRIPT_NAME"]."?module=".strip_tags(htmlspecialchars($_GET["module"]))."&page=".($page-1)."\">&lt;</A>";
	} else {
	    $prev = " « < ";
	}
	if($page<round($pages-1)){
	    $next = "<A HREF=\"".$_SERVER["SCRIPT_NAME"]."?module=".strip_tags(htmlspecialchars($_GET["module"]))."&page=".($page+1)."\">&gt;</A><A HREF=\"".$_SERVER["SCRIPT_NAME"]."?module=".strip_tags(htmlspecialchars($_GET["module"]))."&page=".(floor($pages))."\"><b> » </b></A>";
	} else {
	    $next = " > » ";
	}
	for($i=$nowpage;$i<$endpage;$i++)
	{
	    if($i==$page){
	        $return.="[".($i+1)."]";
	    } else {
	        $return.="<A HREF=\"".$_SERVER["SCRIPT_NAME"]."?module=".strip_tags(htmlspecialchars($_GET["module"]))."&page=".$i."\">[".($i+1)."]</A>";
	    }
	}
	if($prev.$return.$next != ' < > ')
		return $prev.$return.$next;

}

/* Запрос модуля */

if (empty($_GET["module"])) $module="Index";
if (!empty($_GET["module"])) $module=strip_tags(htmlspecialchars($_GET["module"])); 

/* Вывод */

echo '<title>Логи CSFile.Info Anti-Cheat</title>
<link rel="stylesheet" href="csf_ac_logs/csf_ac_logs.css" type="text/css" />
<br>


<table class="theme" cellpadding="0" cellspacing="0" width="1100" align="center">
					<tr>
						<td width="100" class="theme-top-left">&nbsp;</td>
						<td class="theme-top">
							<table cellpadding="0" cellspacing="5" width="100%">
							<tr>
								<td width="273" height="90"><a href="/"><img src="csf_ac_logs/img/logo.png" alt="CSFile.Info Anti-Cheat Innovation" height="90" border="0"/></a></td><td align="right"></td>
							</tr>
							</table>						   
						</td>
						<td width="26" class="theme-top-right">&nbsp;</td>
					</tr>


</table></div>';

echo '			<table  class="theme" cellpadding="0" cellspacing="0" width="1100" align="center">
					<tr valign="top">
						<td class="theme-left"></td>
						<td>
						    <table cellpadding="5" cellspacing="0" width="100%">
						        <tr>


<td id="leftcolumn" valign="top">
<div class="blocks">
	<div>
		<div>
			<div>
			<h3 class="blocktitle" align="center">Навигация</h3>
			<div><div id="menublock">
				<ul>
';
				$headmenu = '';
			        if($menu_speedhack == 1){$selected = (isset($_GET['module']) && $_GET['module']=="SpeedHack") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=SpeedHack">SpeedHack</a></li>'."\n";}

			       if($menu_spinhack == 1){ $selected = (isset($_GET['module']) && $_GET['module']=="SpinHack") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=SpinHack">SpinHack</a></li>'."\n";}

			        if($menu_fastfire == 1){$selected = (isset($_GET['module']) && $_GET['module']=="FastFire") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=FastFire">FastFire</a></li>'."\n";}

			        if($menu_cdhack == 1){$selected = (isset($_GET['module']) && $_GET['module']=="CDHack") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=CDHack">CDHack</a></li>'."\n";}

			        if($menu_fighterfx == 1){$selected = (isset($_GET['module']) && $_GET['module']=="FighterFX") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=FighterFX">FighterFX</a></li>'."\n";}

				if($menu_opengl32 == 1){$selected = (isset($_GET['module']) && $_GET['module']=="OpenGL32") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=OpenGL32">OpenGL32</a></li>'."\n";}

			        if($menu_cheatlist == 1){$selected = (isset($_GET['module']) && $_GET['module']=="CheatList") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=CheatList">CheatList</a></li>'."\n";}

			        if($menu_namespam == 1){$selected = (isset($_GET['module']) && $_GET['module']=="NameSpam") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=NameSpam">NameSpam</a></li>'."\n";}

			        if($menu_bunnyhop == 1){$selected = (isset($_GET['module']) && $_GET['module']=="BunnyHop") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=BunnyHop">BunnyHop</a></li>'."\n";}

			        if($menu_zoneguard == 1){$selected = (isset($_GET['module']) && $_GET['module']=="ZoneGuard") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=ZoneGuard">ZoneGuard</a></li>'."\n";}

			        if($menu_cmdflood == 1){$selected = (isset($_GET['module']) && $_GET['module']=="CMDFlood") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=CMDFlood">CMDFlood</a></li>'."\n";}

			        if($menu_cheatnames == 1){$selected = (isset($_GET['module']) && $_GET['module']=="CheatNames") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=CheatNames">CheatNames</a></li>'."\n";}

			        if($menu_cheatkey == 1){$selected = (isset($_GET['module']) && $_GET['module']=="CheatKey") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=CheatKey">CheatKey</a></li>'."\n";}

			        if($menu_cheatsay == 1){$selected = (isset($_GET['module']) && $_GET['module']=="CheatSay") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=CheatSay">CheatSay</a></li>'."\n";}

			        if($menu_filescheck == 1){$selected = (isset($_GET['module']) && $_GET['module']=="FilesCheck") ? " class=\"lihover\"" : "";
                                $headmenu .= '<li'.$selected.'><a href="'.$_SERVER["PHP_SELF"].'?module=FilesCheck">FilesCheck</a></li>'."\n";}

				echo $headmenu;
echo '
			</ul>
</div></div>
			</div>
		</div>
	</div>
</div></td>



						            <td valign="top" width="100%">

	<table class="publisher" cellpadding="0" cellspacing="0" align="center" width="926">
	<tr>
				<td width="7"><img src="csf_ac_logs/img/publisher_left_top.gif" width="7" height="7" alt="" /></td>
				<td class="publisher-top"><img src="csf_ac_logs/img/pixel.gif" width="1" height="7" alt="" /></td>
				<td width="7"><img src="csf_ac_logs/img/publisher_right_top.gif" width="7" height="7" alt="" /></td>
	</tr>
	<tr valign="top">
		<td class="publisher-left"></td>
		<td>	<table border="0" width="926"><tr><td height="30" width="1%">
	</td>
	<td valign="middle">
';

/* SpeedHack */
if ($module == 'SpeedHack'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=7%><center>Пинг</TD><TD><center>Карта</TD></TR>\n\n";

$table = "csf_ac_speedhack"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Ping']."&nbsp;мс&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Map'])."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию



echo "</TABLE>\n";


}
/* SpeedHack End */	


/* SpinHack */

if ($module == 'SpinHack'){


$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=9%><center>Время теста</TD></TR>\n";

$table = "csf_ac_spinhack"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Timetest']."&nbsp;сек&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";


}
/* SpinHack End */	

/* FastFire */
if ($module == 'FastFire'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD  width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD  width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=7%><center>Пинг</TD></TR>\n";

$table = "csf_ac_fastfire"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Ping']."&nbsp;мс&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";


}
/* FastFire End */	

/* CDHack */

if ($module == 'CDHack'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=7%><center>Версия</TD></TR>\n";


$table = "csf_ac_cdhack"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Version']."&nbsp;</TD>";
  echo "</TR>\n";


}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";


}
/* CDHack End */


/* FighterFX */
if ($module == 'FighterFX'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=7%><center>Версия</TD></TR>\n";

$table = "csf_ac_ffx"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Version']."&nbsp;</TD>";
  echo "</TR>\n";



}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";

}
/* FighterFX End */


/* CheatList */
if ($module == 'CheatList'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=20%><center>Название чита</TD></TR>\n";

$table = "csf_ac_cheatlist"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Cheat']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";
}
/* CheatList End */


/* NameSpam */
if ($module == 'NameSpam'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=25%><center>Ник при входе</TD></TR>\n";

$table = "csf_ac_namespam"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['FirstNick']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";


}
/* NameSpam End */

/* CheatNames */
if ($module == 'CheatNames'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=20%><center>Читерский тег</TD></TR>\n";
$table = "csf_ac_cheatnames"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['CheatTag']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";

}
/* CheatNames End */

/* BunnyHop */
if ($module == 'BunnyHop'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD></TR>\n";


$table = "csf_ac_bunnyhop"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";


}
/* BunnyHop End */

/* ZoneGuard */
if ($module == 'ZoneGuard'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=20%><center>Карта</TD></TR>\n";

$table = "csf_ac_zoneguard"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['Map']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";
}


/* ZoneGuard End */

/* CMDFlood */
if ($module == 'CMDFlood'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=22%><center>Команда</TD></TR>\n";

$table = "csf_ac_cmdflood"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['CmdFlood']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";
}
/* CMDFlood End */


/* CheatKey */
if ($module == 'CheatKey'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD ><center>Ник</TD><TD width=13%><center>IP</TD><TD width=16%><center>SteamID</TD><TD width=10%><center>Клавиша</TD></TR>\n";

$table = "csf_ac_cheatkey"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['CheatKey']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию


echo "</TABLE>\n";


}
/* CheatKey End */

/* CheatSay */
if ($module == 'CheatSay'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=16%><center>SteamID</TD><TD><center>Сообщение</TD></TR>\n";

$table = "csf_ac_cheatsay"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD  width=20%>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD >&nbsp;".$data['CheatSay']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию  

echo "</TABLE>\n";

}
/* CheatSay End */


/* FilesCheck */
if ($module == 'FilesCheck'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=16%><center>SteamID</TD><TD><center>Файл</TD></TR>\n";

$table = "csf_ac_filescheck"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center'>&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['BadFile']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию  

echo "</TABLE>\n";


}
/* FilesCheck End */

/* OpenGL32 */
if ($module == 'OpenGL32'){

$antinoob='1';

echo "<TABLE WIDTH=\"100%\" BORDER=\"1\" bordercolor=\"#C2C2C2\" STYLE=\"font-size: 12; border: 1px double black; border-collapse: collapse\">\n";
echo "<TR BGCOLOR=\"#f4f4f4\"><TD width=10%><center>Дата\Время</TD><TD width=15%><center>Название сервера</TD><TD><center>Ник</TD><TD width=13%><center>IP</TD><TD width=17%><center>SteamID</TD><TD width=20%><center>Тип чита</TD></TR>\n";

$table = "csf_ac_opengl32"; // название таблицы
$page = page(); // определяем страницу
$result = sql_query($onpage, $page, $table, $newup); // sql - запрос

while($data = mysql_fetch_array($result)) // цикл вывода
{

  echo "<TR>";
  echo "<TD align='center'>&nbsp;".date("d-m-Y H:i:s", strtotime($data['Date']))."&nbsp;</TD>";
  echo "<TD align='center' >&nbsp;".$data['ServerName']."&nbsp;</TD>";
  echo "<TD>&nbsp;".htmlspecialchars($data['Nick'])."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['IP']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['SteamID']."&nbsp;</TD>";
  echo "<TD>&nbsp;".$data['OpenGL32']."&nbsp;</TD>";
  echo "</TR>\n";

}
$navigation = navigation($onpage, $page, $table); // определим навигацию
echo $navigation;	//выводим навигацию

echo "</TABLE>\n";
}
/* OpenGL32 End */


/* Admin Panel */
if ($module == 'Admin'){
$antinoob='1';

	include('csf_ac_logs/admin.php');
}
/* Admin Panel End */


if ($module == 'Index' || $antinoob != '1'){
echo '<br><br><div align="center"><b>Выберите раздел для отображения логов</b></div><br><br>';
$antinoob='1';
}


echo '</td>
</tr></table></td>
		<td class="publisher-right"></td>
	</tr>
	<tr>
		<td width="7"><img src="csf_ac_logs/img/publisher_left_bottom.gif" width="7" height="7" alt="" /></td>
		<td class="publisher-bottom"><img src="csf_ac_logs/img/images/pixel.gif" width="1" height="7" alt="" /></td>
		<td width="7"><img src="csf_ac_logs/img/publisher_right_bottom.gif" width="7" height="7" alt="" /></td>
	</tr>


</table>
';



echo '</td>
						        </tr>
						    </table>
                            	<div class="footmenu"><br /><a href="http://fruit-style.ru/"><b>Modification powered by wWw.fruit-style.Ru</b></a><a href="?module=Admin"><b> | Панель управления</b></a>';

if($protect == 1 || $protect == 2 && isset($_COOKIE['verify'])){
	echo '<a href="?logout"><b> | Выход</b></a>';
}

echo '			</div></td>
						<td class="theme-right"></td>
					</tr>
				</table>
				<table class="theme" cellpadding="0" cellspacing="0" width="1100" align="center"">	
					<tr>
						<td width="26" class="theme-bottom-left">&nbsp;</td>
						<td class="theme-bottom">
 							<table width="100%" cellpadding="10" cellspacing="5">
 								<tr>
 									<td class="pageinfo">Web-интерфейс v.'.$version.' для отображения логов [CSF-AC]<br>Copyright © 2007-2009 CSFile.Info . All rights reserved.</td>
									<object type="application/x-shockwave-flash" width="88" height="31" data="csf_ac_logs/img/banner.swf"><param name="movie" value="csf_ac_logs/img/banner.swf" /><param name="wmode" value="transparent"></object></td>
 								</tr>	
 							</table>	
						</td>
						<td width="26" class="theme-bottom-right"></td>
					</tr>
				</table>';


echo '</table>';




/* Очищаем запрос, закрываем соединение */
@mysql_free_result($result);
mysql_close($link);



?>